# JPMC-PDP Documentation from https://developer.payments.jpmorgan.com # Wallet Decryption response codes Error codes help you debug issues that occur as a result of sending badly formatted requests. The `responseMessage` is a short string that provides a brief explanation. The following tables list the available reason codes, as well as their possible causes. The following fields are in the body of the response: - responseStatus: Valid values include: SUCCESS, DENIED, or ERROR. SUCCESS means the request was completed successfully. ERROR is only returned for 4XX or 5XX responses. - responseCode: This field contains a shorter description of the processing result. - responseMessage: This field contains a longer, more descriptive message. - hostMessage: Host refers to the system from which J.P. Morgan has received a response. The hostMessage is mapped to J.P. Morgan’s response fields, but the unaltered message is returned, if received. For 5XX responses, the presence of this field indicates where the error exists. ## Successful responses (200 – 299) In general, a `200` status code indicates that a request has successfully processed. **HTTP 200 status codes** | HTTP Status | responseStatus | responseCode | responseMessage | | --- | --- | --- | --- | | 200 | OK | 200 | N/A | ## Client error responses (400 – 499) A `4XX` status code indicates that an error has occurred during request, and provides a list of specific codes. Additional fields are provided in the body of the response to help identify the error. Address the problem, and then resubmit the request. **HTTP 4XX status codes** | HTTP Status | responseStatus | responseCode | responseMessage | | --- | --- | --- | --- | | 400 | ERROR | INVALID_DATA | Unable to process the request due to invalid or incomplete data in the encryptedPaymentBundle | | 400 | ERROR | VALIDATION_ERROR | Request contains validation error | | 403 | ERROR | UNAUTHORIZED | Incorrect combination of application ID and merchant ID in the header | | 409 | ERROR | DUPLICATE | Duplicate transaction | ## Server error responses (500 – 599) A `5XX`** **status code indicates that an error has occurred within the J.P. Morgan environment during a request. Additional fields are provided in the body of the response to identify the error. **HTTP 5XX status codes** | HTTP Status | responseStatus | responseCode | responseMessage | | --- | --- | --- | --- | | 500 | ERROR | SERVER_ERROR | Processing error within the wallet service | | 504 | ERROR | TIMEOUT | Request timeout | ## Related [Wallet Decryption API specification](/api/commerce/optimization-protection/wallet-decryption/wallet-decrypt)